summaryrefslogtreecommitdiff
path: root/dev-python/boto3
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-01 03:04:43 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-01 03:04:43 -0500
commit8d04041d08ac162ab85e05cce67bc70c471bcb33 (patch)
tree6540635595d9bd09b8931883a6f7486f1a8356b3 /dev-python/boto3
parent8dd15182c470607a18f884956452d134ac91753a (diff)
downloadbaldeagleos-repo-8d04041d08ac162ab85e05cce67bc70c471bcb33.tar.gz
baldeagleos-repo-8d04041d08ac162ab85e05cce67bc70c471bcb33.tar.xz
baldeagleos-repo-8d04041d08ac162ab85e05cce67bc70c471bcb33.zip
Adding metadata
Diffstat (limited to 'dev-python/boto3')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.43.85.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 616fe846b54c..d750f30cd3db 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -13,3 +13,4 @@ DIST boto3-1.43.80.gh.tar.gz 1215739 BLAKE2B 11ec7e0b915c4f9abe18425d5ffa539ee6b
DIST boto3-1.43.81.gh.tar.gz 1216141 BLAKE2B d9a59d8ea543bc52a4258ef9ac24c76d943a2a4e00ec4e67dafdeafb776f5f6bfca1f803a6eda6f59df411479de27c952510b88a15c7fc56aff05e05c6ae7b3e SHA512 2fd7d0e7cacd25a5bd6a34aa29533a0ca537e91478b5ec2e59e565b74d44c193e5028aa91c9cd4945f2253ac72011ca7e24d87caf9e218693c5b936c4c7bfd9d
DIST boto3-1.43.82.gh.tar.gz 1217312 BLAKE2B 0db0ca79b4107a3e2c31b9d93bb0e6c7b7638fde96d91eeca4aea93b5a44abef4dc8945580e645012878075a76facb79fec0af7f0cd6146599ff7ea823f4b957 SHA512 69faa2bb7044833adc64b7249ee48bd531c97f91a3ae034cdecd9cd847e6a65da9a29cdb8f71823f3478302a397e9189f7cad924c91ac384846b87abd767a232
DIST boto3-1.43.83.gh.tar.gz 1218064 BLAKE2B 0758e28dd9b086615b045e107aece2ef46bee541110e51fdcd231c60cac0452f4cdfec58ea4041757835c195cd2b8becb3c4e9fd24ad7bc306d90b16af082f63 SHA512 ed110edd551138c5d63ab7ead46a4c9ddb410dea1b5e642045102936af22c4208f357f79fc994434fc6a7df7c16aba99052508103bad7599f8cc558ae1c5f842
+DIST boto3-1.43.85.gh.tar.gz 1219943 BLAKE2B 4fe0a155efcdd5dcc17c91047fab4c59edb71ac6574fc1e6472db83d9b5effb66d69d346767a159f6708d7e2f61f2f59f6bf84557df98eb6fab83b4438f7540e SHA512 3f8ca9eb5857d3376dbc204b4c3755704e6039ddc3363665e7c3a3d764808815b43c3ce0181e19113a51b5e3c8965d3030c875435cf9b872df6e02bb6136e09f
diff --git a/dev-python/boto3/boto3-1.43.85.ebuild b/dev-python/boto3/boto3-1.43.85.ebuild
new file mode 100644
index 000000000000..93fbbe6dd59b
--- /dev/null
+++ b/dev-python/boto3/boto3-1.43.85.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.19.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}